> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve pending agent invitations

Returns all pending agent invitations for the organization.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json get /agents/pending
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /agents/pending:
    get:
      tags:
        - Agents
      summary: Retrieve pending agent invitations
      description: Returns all pending agent invitations for the organization.
      operationId: listPendingInvites
      responses:
        '200':
          description: >-
            Successfully retrieved pending invitations. Returns empty array if
            actor lacks teammate.invite permission.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AgentInvite'
        '401':
          description: Unauthorized if API authentication is invalid or missing.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
components:
  schemas:
    AgentInvite:
      type: object
      properties:
        id:
          type: integer
          format: int32
          description: Unique identifier for the agent invitation
          example: 42
        name:
          type: string
          description: >-
            Display name derived from the email address (before @ symbol,
            formatted)
          example: Richard Hendricks
        email:
          type: string
          format: email
          maxLength: 250
          description: Email address of the invited agent
          example: richard.hendricks@piedpiper.com
        roles:
          type: array
          items:
            type: string
          description: List of permission roles to be assigned when the invite is accepted
          example:
            - conversation.create
            - conversation.reply
        avatar:
          type: string
          format: uri
          description: Avatar's URL of the user
          example: >-
            https://api.getfernand.com/contacts/richard.hendricks@piedpiper.com/avatar
        last_email_sent_ts:
          type: integer
          format: int64
          description: >-
            Unix timestamp (milliseconds) when the invitation email was last
            sent
          example: 1234567890000
      required:
        - id
        - name
        - email
        - roles
        - avatar
        - last_email_sent_ts
      x-computed-hash: 61060edda97a355bfa4c6ee5d6e4dcd8862fe74343647fe89c71ab9742986bac
      x-last-modified: 1769075324
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````